calculateDistance {VanillaICE} | R Documentation

## Calculates the physical distance between adjacent SNPs

### Description

Calculates the distance between adjacent SNPs.

### Usage

    calculateDistance(object)
    physicalDistance(object)

### Arguments

`object` | Object inheriting from `SnpLevelSet`

### Details

Calculates the physical distance between adjacent SNPs along a chromosome.

### Value

A vector of integers

### Note

The transition probabilities in the Viterbi algorithm are calculated as a function of the physical distance (d) between adjacent SNPs.

probability of staying in state S = exp(-2 * d/100*1e6)

### Author(s)

R. Scharpf

### See Also

`viterbi`

[Package VanillaICE version 1.4.0 Index]